## org.eclipse.emf.importer.rose.builder
Class RoseStrings

    java.lang.Object
      org.eclipse.emf.importer.rose.builder.RoseStrings

    public class RoseStrings

extends java.lang.Object

Field Summary
`static java.lang.String` `ABSTRACT`
`static java.lang.String` `ASSOCIATION`
`static java.lang.String` `ASSOCIATION_VIEW`
`static java.lang.String` `ATTRIBUTE`
`static java.lang.String` `ATTRIBUTE_SET`
`static java.lang.String` `ATTRIBUTES`
`static java.lang.String` `BOIMCAT`
`static java.lang.String` `BRIDGETOOB`
`static java.lang.String` `BY_VALUE`
`static java.lang.String` `CARDINALITY`
`static java.lang.String` `CATEGORY_VIEW`
`static java.lang.String` `CATFILETOPKGUUID`
`static java.lang.String` `CLASS`
`static java.lang.String` `CLASS_ATTR_LIST`
`static java.lang.String` `CLASS_ATTRIBUTES`
`static java.lang.String` `CLASS_CATEGORY`
`static java.lang.String` `CLASS_DIAGRAM`
`static java.lang.String` `CLASS_VIEW`
`static java.lang.String` `CLASSATTRIBUTE`
`static java.lang.String` `CLIENT`
`static java.lang.String` `CLIENT_CARDINALITY`
`static java.lang.String` `COM`
`static java.lang.String` `COMPARTMENT`
`static java.lang.String` `COMPARTMENTITEMS`
`static java.lang.String` `COMPONENT_VIEW`
`static java.lang.String` `CONCURRENCY`
`static java.lang.String` `CONSTRAINTS`
`static java.lang.String` `CONSTVALUE`
`static java.lang.String` `CONTAINMENT`
`static java.lang.String` `CORBA`
`static java.lang.String` `CPLUSPLUS`
`static java.lang.String` `CREATECOPYHELPER`
`static java.lang.String` `CREATEIMPLEMENTATION`
`static java.lang.String` `CREATEKEY`
`static java.lang.String` `DDL`
`static java.lang.String` `DEFAULT_ATTRIBUTE`
`static java.lang.String` `DEFAULT_CATEGORY`
`static java.lang.String` `DEFAULT_CLASS`
`static java.lang.String` `DEFAULT_OPERATION`
`static java.lang.String` `DEFAULT_ROLE`
`static java.lang.String` `DEFAULTFONT`
`static java.lang.String` `DEFAULTS`
`static java.lang.String` `DEPLOYMENT_VIEW`
`static java.lang.String` `DERIVED`
`static java.lang.String` `DESIGN`
`static java.lang.String` `DIAGRAM_ITEM_LIST`
`static java.lang.String` `DOCUMENTATION`
`static java.lang.String` `DRAWSUPPLIER`
`static java.lang.String` `ENUMERATION`
`static java.lang.String` `EXCEPTIONS`
`static java.lang.String` `EXPORTCONTROL`
`static java.lang.String` `FALSE`
`static java.lang.String` `FILE_NAME`
`static java.lang.String` `FINAL`
`static java.lang.String` `FOCUS_OF_CONTROL`
`static java.lang.String` `FONT`
`static java.lang.String` `FROM`
`static java.lang.String` `GENERALIZATION`
`static java.lang.String` `HEIGHT`
`static java.lang.String` `IDL`
`static java.lang.String` `IDLSPECIFICATIONTYPE`
`static java.lang.String` `IDLSPECSET`
`static java.lang.String` `IMPLEMENTATIONTYPE`
`static java.lang.String` `IMPORT_VIEW`
`static java.lang.String` `INHERIT_VIEW`
`static java.lang.String` `INHERITANCE_RELATIONSHIP`
`static java.lang.String` `INHR_LIST`
`static java.lang.String` `INITV`
`static java.lang.String` `INTERFACE`
`static java.lang.String` `IS_AGGREGATE`
`static java.lang.String` `IS_LOADED`
`static java.lang.String` `IS_NAVIGABLE`
`static java.lang.String` `IS_UNIT`
`static java.lang.String` `ISFROMMODEL`
`static java.lang.String` `ISINCLUDEDINCH`
`static java.lang.String` `ISINCLUDEDINDO`
`static java.lang.String` `ISQUERYABLE`
`static java.lang.String` `ISREADONLY`
`static java.lang.String` `ITEMLABEL`
`static java.lang.String` `ITEMS`
`static java.lang.String` `JAVA`
`static java.lang.String` `JAVACAT`
`static java.lang.String` `KEY`
`static java.lang.String` `KEYS`
`static java.lang.String` `KEYVALUE`
`static java.lang.String` `LABEL`
`static java.lang.String` `LANGUAGE`
`static java.lang.String` `LENGTH`
`static java.lang.String` `LIST`
`static java.lang.String` `LOCATION`
`static java.lang.String` `LOGICAL_MODELS`
`static java.lang.String` `LOGICAL_PRESENTATIONS`
`static java.lang.String` `LOGICAL_VIEW`
`static java.lang.String` `MANAGEDCAT`
`static java.lang.String` `MAPASOBJECTRELATIONSHIP`
`static java.lang.String` `MAX_HEIGHT`
`static java.lang.String` `MAX_WIDTH`
`static java.lang.String` `MSVC`
`static java.lang.String` `NAME`
`static java.lang.String` `NATIVE`
`static java.lang.String` `NESTEDCLASSES`
`static java.lang.String` `OB`
`static java.lang.String` `OBJECT`
`static java.lang.String` `OBPROJECTDIR`
`static java.lang.String` `OPERATION`
`static java.lang.String` `OPERATIONISONEWAY`
`static java.lang.String` `OPERATIONS`
`static java.lang.String` `OPEXPORTCONTROL`
`static java.lang.String` `ORACLE8`
`static java.lang.String` `ORIGIN_X`
`static java.lang.String` `ORIGIN_Y`
`static java.lang.String` `ORIGINX`
`static java.lang.String` `ORIGINY`
`static java.lang.String` `PARAMETER`
`static java.lang.String` `PARAMETERS`
`static java.lang.String` `PARENT_VIEW`
`static java.lang.String` `PDL`
`static java.lang.String` `PERSISTENCE`
`static java.lang.String` `PERSISTENT`
`static java.lang.String` `PHYSICAL_MODELS`
`static java.lang.String` `PHYSICAL_PRESENTATIONS`
`static java.lang.String` `PKGUUIDTOOBDIRINFO`
`static java.lang.String` `POINTS`
`static java.lang.String` `PRESENTATIONFOR`
`static java.lang.String` `PRIMARYKEY`
`static java.lang.String` `PRIMITIVE`
`static java.lang.String` `PROCESS_DIAGRAM`
`static java.lang.String` `PROCESS_STRUCTURE`
`static java.lang.String` `PROCESSES`
`static java.lang.String` `PROCSNDVES`
`static java.lang.String` `PROPERTIES`
`static java.lang.String` `QUID`
`static java.lang.String` `QUIDU`
`static java.lang.String` `REALIZE_REL_LIST`
`static java.lang.String` `REALIZE_RELATIONSHIP`
`static java.lang.String` `REALIZE_VIEW`
`static java.lang.String` `REALIZED_INTERFACES`
`static java.lang.String` `RELATIONSHIPIMPL`
`static java.lang.String` `RESULT`
`static java.lang.String` `RISET`
`static java.lang.String` `ROLE`
`static java.lang.String` `ROLE_LIST`
`static java.lang.String` `ROLE_SEQ`
`static java.lang.String` `ROLE_VIEW`
`static java.lang.String` `ROLES`
`static java.lang.String` `ROLEVIEW_LIST`
`static java.lang.String` `ROLEVIEWS`
`static java.lang.String` `ROOT_CATEGORY`
`static java.lang.String` `ROOT_SUBSYSTEM`
`static java.lang.String` `ROOT_USECASE_PACKAGE`
`static java.lang.String` `ROSE`
`static java.lang.String` `ROSETYPE`
`static java.lang.String` `SEGLABEL`
`static java.lang.String` `SEMANTICS`
`static java.lang.String` `SERVICESCAT`
`static java.lang.String` `SOURCE_SUPPLIER`
`static java.lang.String` `SOURCE_TARGET`
`static java.lang.String` `STATIC`
`static java.lang.String` `STATICSTRING`
`static java.lang.String` `STEREOTYPE`
`static java.lang.String` `STRUCTURE`
`static java.lang.String` `SUBSYSTEM`
`static java.lang.String` `SUNCAT`
`static java.lang.String` `SUPERCLASSES`
`static java.lang.String` `SUPPLIER`
`static java.lang.String` `SYNCHRONIZED`
`static java.lang.String` `SYNCHRONOUS`
`static java.lang.String` `TARGET_SOURCE`
`static java.lang.String` `TARGET_SUPPLIER`
`static java.lang.String` `TEXT`
`static java.lang.String` `TOOL`
`static java.lang.String` `TRANSIENT`
`static java.lang.String` `TRUE`
`static java.lang.String` `TYPE`
`static java.lang.String` `UABSTRACT`
`static java.lang.String` `UID`
`static java.lang.String` `UIMPLEMENTATION`
`static java.lang.String` `UMLNOTATION`
`static java.lang.String` `UNIT_REFERENCE_LIST`
`static java.lang.String` `UNNAMED`
`static java.lang.String` `UOPERATIONS`
`static java.lang.String` `UPARAMETERS`
`static java.lang.String` `UPROPERTIES`
`static java.lang.String` `USE_CASE_VIEW`
`static java.lang.String` `USED_NODES`
`static java.lang.String` `USES_REL_LIST`
`static java.lang.String` `USES_RELATIONSHIP`
`static java.lang.String` `USES_VIEW`
`static java.lang.String` `USTATICSTRING`
`static java.lang.String` `UUID`
`static java.lang.String` `VALUE`
`static java.lang.String` `VERTICES`
`static java.lang.String` `VISIBILITY_REL_LIST`
`static java.lang.String` `VISIBILITY_RELATIONSHIP`
`static java.lang.String` `VISIBLE_CATEGORY`
`static java.lang.String` `VISUALBASIC`
`static java.lang.String` `VOLATILE`
`static java.lang.String` `WIDTH`
`static java.lang.String` `WITHJDK116`
`static java.lang.String` `ZOOM`

Constructor Summary
`RoseStrings()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABSTRACT

    public static final java.lang.String ABSTRACT

See Also:
  Constant Field Values

### ASSOCIATION

    public static final java.lang.String ASSOCIATION

See Also:
  Constant Field Values

### ASSOCIATION_VIEW

    public static final java.lang.String ASSOCIATION_VIEW

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final java.lang.String ATTRIBUTE

See Also:
  Constant Field Values

### ATTRIBUTES

    public static final java.lang.String ATTRIBUTES

See Also:
  Constant Field Values

### ATTRIBUTE_SET

    public static final java.lang.String ATTRIBUTE_SET

See Also:
  Constant Field Values

### BOIMCAT

    public static final java.lang.String BOIMCAT

See Also:
  Constant Field Values

### BRIDGETOOB

    public static final java.lang.String BRIDGETOOB

See Also:
  Constant Field Values

### BY_VALUE

    public static final java.lang.String BY_VALUE

See Also:
  Constant Field Values

### CARDINALITY

    public static final java.lang.String CARDINALITY

See Also:
  Constant Field Values

### CATEGORY_VIEW

    public static final java.lang.String CATEGORY_VIEW

See Also:
  Constant Field Values

### CATFILETOPKGUUID

    public static final java.lang.String CATFILETOPKGUUID

See Also:
  Constant Field Values

### CLASS

    public static final java.lang.String CLASS

See Also:
  Constant Field Values

### CLASSATTRIBUTE

    public static final java.lang.String CLASSATTRIBUTE

See Also:
  Constant Field Values

### CLASS_ATTRIBUTES

    public static final java.lang.String CLASS_ATTRIBUTES

See Also:
  Constant Field Values

### CLASS_ATTR_LIST

    public static final java.lang.String CLASS_ATTR_LIST

See Also:
  Constant Field Values

### CLASS_CATEGORY

    public static final java.lang.String CLASS_CATEGORY

See Also:
  Constant Field Values

### CLASS_DIAGRAM

    public static final java.lang.String CLASS_DIAGRAM

See Also:
  Constant Field Values

### CLASS_VIEW

    public static final java.lang.String CLASS_VIEW

See Also:
  Constant Field Values

### CLIENT

    public static final java.lang.String CLIENT

See Also:
  Constant Field Values

### CLIENT_CARDINALITY

    public static final java.lang.String CLIENT_CARDINALITY

See Also:
  Constant Field Values

### COM

    public static final java.lang.String COM

See Also:
  Constant Field Values

### COMPARTMENT

    public static final java.lang.String COMPARTMENT

See Also:
  Constant Field Values

### COMPARTMENTITEMS

    public static final java.lang.String COMPARTMENTITEMS

See Also:
  Constant Field Values

### COMPONENT_VIEW

    public static final java.lang.String COMPONENT_VIEW

See Also:
  Constant Field Values

### CONCURRENCY

    public static final java.lang.String CONCURRENCY

See Also:
  Constant Field Values

### CONSTRAINTS

    public static final java.lang.String CONSTRAINTS

See Also:
  Constant Field Values

### CONSTVALUE

    public static final java.lang.String CONSTVALUE

See Also:
  Constant Field Values

### CONTAINMENT

    public static final java.lang.String CONTAINMENT

See Also:
  Constant Field Values

### CORBA

    public static final java.lang.String CORBA

See Also:
  Constant Field Values

### CPLUSPLUS

    public static final java.lang.String CPLUSPLUS

See Also:
  Constant Field Values

### CREATECOPYHELPER

    public static final java.lang.String CREATECOPYHELPER

See Also:
  Constant Field Values

### CREATEIMPLEMENTATION

    public static final java.lang.String CREATEIMPLEMENTATION

See Also:
  Constant Field Values

### CREATEKEY

    public static final java.lang.String CREATEKEY

See Also:
  Constant Field Values

### DDL

    public static final java.lang.String DDL

See Also:
  Constant Field Values

### DEFAULTFONT

    public static final java.lang.String DEFAULTFONT

See Also:
  Constant Field Values

### DEFAULTS

    public static final java.lang.String DEFAULTS

See Also:
  Constant Field Values

### DEFAULT_ATTRIBUTE

    public static final java.lang.String DEFAULT_ATTRIBUTE

See Also:
  Constant Field Values

### DEFAULT_CATEGORY

    public static final java.lang.String DEFAULT_CATEGORY

See Also:
  Constant Field Values

### DEFAULT_CLASS

    public static final java.lang.String DEFAULT_CLASS

See Also:
  Constant Field Values

### DEFAULT_OPERATION

    public static final java.lang.String DEFAULT_OPERATION

See Also:
  Constant Field Values

### DEFAULT_ROLE

    public static final java.lang.String DEFAULT_ROLE

See Also:
  Constant Field Values

### DEPLOYMENT_VIEW

    public static final java.lang.String DEPLOYMENT_VIEW

See Also:
  Constant Field Values

### DERIVED

    public static final java.lang.String DERIVED

See Also:
  Constant Field Values

### DESIGN

    public static final java.lang.String DESIGN

See Also:
  Constant Field Values

### DIAGRAM_ITEM_LIST

    public static final java.lang.String DIAGRAM_ITEM_LIST

See Also:
  Constant Field Values

### DOCUMENTATION

    public static final java.lang.String DOCUMENTATION

See Also:
  Constant Field Values

### DRAWSUPPLIER

    public static final java.lang.String DRAWSUPPLIER

See Also:
  Constant Field Values

### ENUMERATION

    public static final java.lang.String ENUMERATION

See Also:
  Constant Field Values

### EXCEPTIONS

    public static final java.lang.String EXCEPTIONS

See Also:
  Constant Field Values

### EXPORTCONTROL

    public static final java.lang.String EXPORTCONTROL

See Also:
  Constant Field Values

### FALSE

    public static final java.lang.String FALSE

See Also:
  Constant Field Values

### FILE_NAME

    public static final java.lang.String FILE_NAME

See Also:
  Constant Field Values

### FINAL

    public static final java.lang.String FINAL

See Also:
  Constant Field Values

### FOCUS_OF_CONTROL

    public static final java.lang.String FOCUS_OF_CONTROL

See Also:
  Constant Field Values

### FONT

    public static final java.lang.String FONT

See Also:
  Constant Field Values

### FROM

    public static final java.lang.String FROM

See Also:
  Constant Field Values

### GENERALIZATION

    public static final java.lang.String GENERALIZATION

See Also:
  Constant Field Values

### HEIGHT

    public static final java.lang.String HEIGHT

See Also:
  Constant Field Values

### IDL

    public static final java.lang.String IDL

See Also:
  Constant Field Values

### IDLSPECIFICATIONTYPE

    public static final java.lang.String IDLSPECIFICATIONTYPE

See Also:
  Constant Field Values

### IDLSPECSET

    public static final java.lang.String IDLSPECSET

See Also:
  Constant Field Values

### IMPLEMENTATIONTYPE

    public static final java.lang.String IMPLEMENTATIONTYPE

See Also:
  Constant Field Values

### IMPORT_VIEW

    public static final java.lang.String IMPORT_VIEW

See Also:
  Constant Field Values

### INHERITANCE_RELATIONSHIP

    public static final java.lang.String INHERITANCE_RELATIONSHIP

See Also:
  Constant Field Values

### INHERIT_VIEW

    public static final java.lang.String INHERIT_VIEW

See Also:
  Constant Field Values

### INHR_LIST

    public static final java.lang.String INHR_LIST

See Also:
  Constant Field Values

### INITV

    public static final java.lang.String INITV

See Also:
  Constant Field Values

### INTERFACE

    public static final java.lang.String INTERFACE

See Also:
  Constant Field Values

### ISFROMMODEL

    public static final java.lang.String ISFROMMODEL

See Also:
  Constant Field Values

### ISINCLUDEDINCH

    public static final java.lang.String ISINCLUDEDINCH

See Also:
  Constant Field Values

### ISINCLUDEDINDO

    public static final java.lang.String ISINCLUDEDINDO

See Also:
  Constant Field Values

### ISQUERYABLE

    public static final java.lang.String ISQUERYABLE

See Also:
  Constant Field Values

### ISREADONLY

    public static final java.lang.String ISREADONLY

See Also:
  Constant Field Values

### IS_AGGREGATE

    public static final java.lang.String IS_AGGREGATE

See Also:
  Constant Field Values

### IS_LOADED

    public static final java.lang.String IS_LOADED

See Also:
  Constant Field Values

### IS_NAVIGABLE

    public static final java.lang.String IS_NAVIGABLE

See Also:
  Constant Field Values

### IS_UNIT

    public static final java.lang.String IS_UNIT

See Also:
  Constant Field Values

### ITEMLABEL

    public static final java.lang.String ITEMLABEL

See Also:
  Constant Field Values

### ITEMS

    public static final java.lang.String ITEMS

See Also:
  Constant Field Values

### JAVA

    public static final java.lang.String JAVA

See Also:
  Constant Field Values

### JAVACAT

    public static final java.lang.String JAVACAT

See Also:
  Constant Field Values

### KEY

    public static final java.lang.String KEY

See Also:
  Constant Field Values

### KEYS

    public static final java.lang.String KEYS

See Also:
  Constant Field Values

### KEYVALUE

    public static final java.lang.String KEYVALUE

See Also:
  Constant Field Values

### LABEL

    public static final java.lang.String LABEL

See Also:
  Constant Field Values

### LANGUAGE

    public static final java.lang.String LANGUAGE

See Also:
  Constant Field Values

### LENGTH

    public static final java.lang.String LENGTH

See Also:
  Constant Field Values

### LIST

    public static final java.lang.String LIST

See Also:
  Constant Field Values

### LOCATION

    public static final java.lang.String LOCATION

See Also:
  Constant Field Values

### LOGICAL_MODELS

    public static final java.lang.String LOGICAL_MODELS

See Also:
  Constant Field Values

### LOGICAL_PRESENTATIONS

    public static final java.lang.String LOGICAL_PRESENTATIONS

See Also:
  Constant Field Values

### LOGICAL_VIEW

    public static final java.lang.String LOGICAL_VIEW

See Also:
  Constant Field Values

### MANAGEDCAT

    public static final java.lang.String MANAGEDCAT

See Also:
  Constant Field Values

### MAPASOBJECTRELATIONSHIP

    public static final java.lang.String MAPASOBJECTRELATIONSHIP

See Also:
  Constant Field Values

### MAX_HEIGHT

    public static final java.lang.String MAX_HEIGHT

See Also:
  Constant Field Values

### MAX_WIDTH

    public static final java.lang.String MAX_WIDTH

See Also:
  Constant Field Values

### MSVC

    public static final java.lang.String MSVC

See Also:
  Constant Field Values

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### NATIVE

    public static final java.lang.String NATIVE

See Also:
  Constant Field Values

### NESTEDCLASSES

    public static final java.lang.String NESTEDCLASSES

See Also:
  Constant Field Values

### OB

    public static final java.lang.String OB

See Also:
  Constant Field Values

### OBJECT

    public static final java.lang.String OBJECT

See Also:
  Constant Field Values

### OBPROJECTDIR

    public static final java.lang.String OBPROJECTDIR

See Also:
  Constant Field Values

### OPERATION

    public static final java.lang.String OPERATION

See Also:
  Constant Field Values

### OPERATIONISONEWAY

    public static final java.lang.String OPERATIONISONEWAY

See Also:
  Constant Field Values

### OPERATIONS

    public static final java.lang.String OPERATIONS

See Also:
  Constant Field Values

### OPEXPORTCONTROL

    public static final java.lang.String OPEXPORTCONTROL

See Also:
  Constant Field Values

### ORACLE8

    public static final java.lang.String ORACLE8

See Also:
  Constant Field Values

### ORIGINX

    public static final java.lang.String ORIGINX

See Also:
  Constant Field Values

### ORIGINY

    public static final java.lang.String ORIGINY

See Also:
  Constant Field Values

### ORIGIN_X

    public static final java.lang.String ORIGIN_X

See Also:
  Constant Field Values

### ORIGIN_Y

    public static final java.lang.String ORIGIN_Y

See Also:
  Constant Field Values

### PARAMETER

    public static final java.lang.String PARAMETER

See Also:
  Constant Field Values

### PARAMETERS

    public static final java.lang.String PARAMETERS

See Also:
  Constant Field Values

### PARENT_VIEW

    public static final java.lang.String PARENT_VIEW

See Also:
  Constant Field Values

### PDL

    public static final java.lang.String PDL

See Also:
  Constant Field Values

### PERSISTENCE

    public static final java.lang.String PERSISTENCE

See Also:
  Constant Field Values

### PERSISTENT

    public static final java.lang.String PERSISTENT

See Also:
  Constant Field Values

### PHYSICAL_MODELS

    public static final java.lang.String PHYSICAL_MODELS

See Also:
  Constant Field Values

### PHYSICAL_PRESENTATIONS

    public static final java.lang.String PHYSICAL_PRESENTATIONS

See Also:
  Constant Field Values

### PKGUUIDTOOBDIRINFO

    public static final java.lang.String PKGUUIDTOOBDIRINFO

See Also:
  Constant Field Values

### POINTS

    public static final java.lang.String POINTS

See Also:
  Constant Field Values

### PRESENTATIONFOR

    public static final java.lang.String PRESENTATIONFOR

See Also:
  Constant Field Values

### PRIMARYKEY

    public static final java.lang.String PRIMARYKEY

See Also:
  Constant Field Values

### PRIMITIVE

    public static final java.lang.String PRIMITIVE

See Also:
  Constant Field Values

### PROCESSES

    public static final java.lang.String PROCESSES

See Also:
  Constant Field Values

### PROCESS_DIAGRAM

    public static final java.lang.String PROCESS_DIAGRAM

See Also:
  Constant Field Values

### PROCESS_STRUCTURE

    public static final java.lang.String PROCESS_STRUCTURE

See Also:
  Constant Field Values

### PROCSNDVES

    public static final java.lang.String PROCSNDVES

See Also:
  Constant Field Values

### PROPERTIES

    public static final java.lang.String PROPERTIES

See Also:
  Constant Field Values

### QUID

    public static final java.lang.String QUID

See Also:
  Constant Field Values

### QUIDU

    public static final java.lang.String QUIDU

See Also:
  Constant Field Values

### REALIZED_INTERFACES

    public static final java.lang.String REALIZED_INTERFACES

See Also:
  Constant Field Values

### REALIZE_RELATIONSHIP

    public static final java.lang.String REALIZE_RELATIONSHIP

See Also:
  Constant Field Values

### REALIZE_REL_LIST

    public static final java.lang.String REALIZE_REL_LIST

See Also:
  Constant Field Values

### REALIZE_VIEW

    public static final java.lang.String REALIZE_VIEW

See Also:
  Constant Field Values

### RELATIONSHIPIMPL

    public static final java.lang.String RELATIONSHIPIMPL

See Also:
  Constant Field Values

### RESULT

    public static final java.lang.String RESULT

See Also:
  Constant Field Values

### RISET

    public static final java.lang.String RISET

See Also:
  Constant Field Values

### ROLE

    public static final java.lang.String ROLE

See Also:
  Constant Field Values

### ROLES

    public static final java.lang.String ROLES

See Also:
  Constant Field Values

### ROLEVIEWS

    public static final java.lang.String ROLEVIEWS

See Also:
  Constant Field Values

### ROLEVIEW_LIST

    public static final java.lang.String ROLEVIEW_LIST

See Also:
  Constant Field Values

### ROLE_LIST

    public static final java.lang.String ROLE_LIST

See Also:
  Constant Field Values

### ROLE_SEQ

    public static final java.lang.String ROLE_SEQ

See Also:
  Constant Field Values

### ROLE_VIEW

    public static final java.lang.String ROLE_VIEW

See Also:
  Constant Field Values

### ROOT_CATEGORY

    public static final java.lang.String ROOT_CATEGORY

See Also:
  Constant Field Values

### ROOT_SUBSYSTEM

    public static final java.lang.String ROOT_SUBSYSTEM

See Also:
  Constant Field Values

### ROOT_USECASE_PACKAGE

    public static final java.lang.String ROOT_USECASE_PACKAGE

See Also:
  Constant Field Values

### ROSE

    public static final java.lang.String ROSE

See Also:
  Constant Field Values

### ROSETYPE

    public static final java.lang.String ROSETYPE

See Also:
  Constant Field Values

### SEGLABEL

    public static final java.lang.String SEGLABEL

See Also:
  Constant Field Values

### SERVICESCAT

    public static final java.lang.String SERVICESCAT

See Also:
  Constant Field Values

### SOURCE_SUPPLIER

    public static final java.lang.String SOURCE_SUPPLIER

See Also:
  Constant Field Values

### SOURCE_TARGET

    public static final java.lang.String SOURCE_TARGET

See Also:
  Constant Field Values

### STATIC

    public static final java.lang.String STATIC

See Also:
  Constant Field Values

### STATICSTRING

    public static final java.lang.String STATICSTRING

See Also:
  Constant Field Values

### STEREOTYPE

    public static final java.lang.String STEREOTYPE

See Also:
  Constant Field Values

### STRUCTURE

    public static final java.lang.String STRUCTURE

See Also:
  Constant Field Values

### SUBSYSTEM

    public static final java.lang.String SUBSYSTEM

See Also:
  Constant Field Values

### SUNCAT

    public static final java.lang.String SUNCAT

See Also:
  Constant Field Values

### SUPERCLASSES

    public static final java.lang.String SUPERCLASSES

See Also:
  Constant Field Values

### SUPPLIER

    public static final java.lang.String SUPPLIER

See Also:
  Constant Field Values

### SEMANTICS

    public static final java.lang.String SEMANTICS

See Also:
  Constant Field Values

### SYNCHRONIZED

    public static final java.lang.String SYNCHRONIZED

See Also:
  Constant Field Values

### SYNCHRONOUS

    public static final java.lang.String SYNCHRONOUS

See Also:
  Constant Field Values

### TARGET_SOURCE

    public static final java.lang.String TARGET_SOURCE

See Also:
  Constant Field Values

### TARGET_SUPPLIER

    public static final java.lang.String TARGET_SUPPLIER

See Also:
  Constant Field Values

### TEXT

    public static final java.lang.String TEXT

See Also:
  Constant Field Values

### TOOL

    public static final java.lang.String TOOL

See Also:
  Constant Field Values

### TRANSIENT

    public static final java.lang.String TRANSIENT

See Also:
  Constant Field Values

### TRUE

    public static final java.lang.String TRUE

See Also:
  Constant Field Values

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

### UABSTRACT

    public static final java.lang.String UABSTRACT

See Also:
  Constant Field Values

### UID

    public static final java.lang.String UID

See Also:
  Constant Field Values

### UIMPLEMENTATION

    public static final java.lang.String UIMPLEMENTATION

See Also:
  Constant Field Values

### UMLNOTATION

    public static final java.lang.String UMLNOTATION

See Also:
  Constant Field Values

### UNIT_REFERENCE_LIST

    public static final java.lang.String UNIT_REFERENCE_LIST

See Also:
  Constant Field Values

### UNNAMED

    public static final java.lang.String UNNAMED

See Also:
  Constant Field Values

### UOPERATIONS

    public static final java.lang.String UOPERATIONS

See Also:
  Constant Field Values

### UPARAMETERS

    public static final java.lang.String UPARAMETERS

See Also:
  Constant Field Values

### UPROPERTIES

    public static final java.lang.String UPROPERTIES

See Also:
  Constant Field Values

### USED_NODES

    public static final java.lang.String USED_NODES

See Also:
  Constant Field Values

### USES_RELATIONSHIP

    public static final java.lang.String USES_RELATIONSHIP

See Also:
  Constant Field Values

### USES_REL_LIST

    public static final java.lang.String USES_REL_LIST

See Also:
  Constant Field Values

### USES_VIEW

    public static final java.lang.String USES_VIEW

See Also:
  Constant Field Values

### USE_CASE_VIEW

    public static final java.lang.String USE_CASE_VIEW

See Also:
  Constant Field Values

### USTATICSTRING

    public static final java.lang.String USTATICSTRING

See Also:
  Constant Field Values

### UUID

    public static final java.lang.String UUID

See Also:
  Constant Field Values

### VALUE

    public static final java.lang.String VALUE

See Also:
  Constant Field Values

### VERTICES

    public static final java.lang.String VERTICES

See Also:
  Constant Field Values

### VISIBILITY_RELATIONSHIP

    public static final java.lang.String VISIBILITY_RELATIONSHIP

See Also:
  Constant Field Values

### VISIBILITY_REL_LIST

    public static final java.lang.String VISIBILITY_REL_LIST

See Also:
  Constant Field Values

### VISIBLE_CATEGORY

    public static final java.lang.String VISIBLE_CATEGORY

See Also:
  Constant Field Values

### VISUALBASIC

    public static final java.lang.String VISUALBASIC

See Also:
  Constant Field Values

### VOLATILE

    public static final java.lang.String VOLATILE

See Also:
  Constant Field Values

### WIDTH

    public static final java.lang.String WIDTH

See Also:
  Constant Field Values

### WITHJDK116

    public static final java.lang.String WITHJDK116

See Also:
  Constant Field Values

### ZOOM

    public static final java.lang.String ZOOM

See Also:
  Constant Field Values

Constructor Detail

### RoseStrings

    public RoseStrings()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.